#include <Adafruit_NeoPixel.h>

Adafruit_NeoPixel leds(12, 2, NEO_GRB + NEO_KHZ800);

void setup() {
  leds.begin(); 
  leds.show(); 
}
void loop() {
  uint32_t FeuAmour = leds.Color(255, 0, 20);
  uint32_t FeuAmour1 = leds.Color(255, 0, 30);
  uint32_t FeuAmour2 = leds.Color(255, 0, 40);
  uint32_t FeuAmour3 = leds.Color(255, 0, 50);
  uint32_t FeuAmour4 = leds.Color(255, 0, 60);
  rotation(FeuAmour, 16);
  rotation(FeuAmour1, 13);
  rotation(FeuAmour2, 8);
  rotation(FeuAmour3, 11);
  rotation(FeuAmour4, 9);
  rotation(FeuAmour3, 15);
  rotation(FeuAmour2, 12);
  rotation(FeuAmour1, 10);
}

void rotation(uint32_t couleur, int temp) {
  for(uint16_t i=0; i<leds.numPixels(); i++) {
    leds.setPixelColor(i, couleur);
    leds.show();
    delay(temp);
  }
}
